# ProjectionChain Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for ProjectionChain:
[legend]

List of all members.

## Public Member Functions

| add (ObjectProjection $projection, $name=null)
| process (Criteria $criteria, JoinCapableQuery $query)
| isEmpty ()
| dropByType ($dropTypes)

## Private Attributes

| $list = array()

## Detailed Description

Definition at line 15 of file ProjectionChain.class.php.

## Member Function Documentation

ProjectionChain::add | ( | ObjectProjection $ | projection,
|  | $ | name = `null` |
| ) |  |  |

Returns:
  ProjectionChain

Definition at line 22 of file ProjectionChain.class.php.

References Assert::isFalse().

Here is the call graph for this function:

ProjectionChain::dropByType | ( | $ | dropTypes | ) |

Returns:
  ProjectionChain

Definition at line 54 of file ProjectionChain.class.php.

ProjectionChain::isEmpty | ( |  | ) |

Definition at line 46 of file ProjectionChain.class.php.

ProjectionChain::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Implements ObjectProjection.

Definition at line 38 of file ProjectionChain.class.php.

## Member Data Documentation

ProjectionChain::$list = array()`[private]`

Definition at line 17 of file ProjectionChain.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projections/ProjectionChain.class.php